odf.load.LoadParser Class Reference

Extract headings from content.xml of an ODT file. More...

Inheritance diagram for odf.load.LoadParser:
[legend]
Collaboration diagram for odf.load.LoadParser:
[legend]

## Public Member Functions

def | __init__ (self, document)
def | characters (self, data)
def | startElementNS (self, tag, qname, attrs)
def | endElementNS (self, tag, qname)

## Public Attributes

| doc
| data
| level
| parse
| curr
| parent

## Static Public Attributes

tuple | triggers

## Detailed Description

Extract headings from content.xml of an ODT file.

Definition at line 42 of file load.py.

## Constructor & Destructor Documentation

def odf.load.LoadParser.__init__ | ( |  | self,
|  |  | document
| ) |  |

Definition at line 49 of file load.py.

## Member Function Documentation

def odf.load.LoadParser.characters | ( |  | self,
|  |  | data
| ) |  |

Definition at line 55 of file load.py.

def odf.load.LoadParser.endElementNS | ( |  | self,
|  |  | tag,
|  |  | qname
| ) |  |

Definition at line 105 of file load.py.

def odf.load.LoadParser.startElementNS | ( |  | self,
|  |  | tag,
|  |  | qname,
|  |  | attrs
| ) |  |

Definition at line 60 of file load.py.

## Member Data Documentation

odf.load.LoadParser.curr

Definition at line 80 of file load.py.

odf.load.LoadParser.data

Definition at line 51 of file load.py.

odf.load.LoadParser.doc

Definition at line 50 of file load.py.

odf.load.LoadParser.level

Definition at line 52 of file load.py.

odf.load.LoadParser.parent

Definition at line 102 of file load.py.

odf.load.LoadParser.parse

Definition at line 53 of file load.py.

tuple odf.load.LoadParser.triggers

static

Initial value:
= (
(OFFICENS, 'automatic-styles'), (OFFICENS, 'body'),
(OFFICENS, 'font-face-decls'), (OFFICENS, 'master-styles'),
(OFFICENS, 'meta'), (OFFICENS, 'scripts'),
(OFFICENS, 'settings'), (OFFICENS, 'styles') )

Definition at line 43 of file load.py.

The documentation for this class was generated from the following file:

- odf/load.py